Subject: Re: I-D ACTION:draft-ietf-forces-protocol-06.txt

From: Avri Doria <[email-masked]>
Date: Wed, 14 Dec 2005 01:57:53 -0500

Hi,

I tried to catch as much as I could from the Tracker list, and have  
touched on all of the open issues.  Many should be ready for closure,  
some might need more discussion, especially in those case where i  
made no change based on one of the included conversation threads.

Other then making sure that the results of the WGLC and post WGLC  
rough consensus are properly represented I think there are a few  
other things that need to happen to the draft:

- some formating and some editorial work still needs to be done.   
e.g. I have an xml problem at the moment where all figures should be  
labeled, but on some it just isn't working - i am sure i will figure  
out why, but saw not reason to further hold up -06.
Also, some of the sentence constructions are still rather awkward.

- with several different implements being worked on, I think we need  
to be open to further edits based on the developers experiences and  
issues.

a.
(current holder of editor token)

On 13 dec 2005, at 18.50, [email-masked] wrote:

> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
> This draft is a work item of the Forwarding and Control Element  
> Separation Working Group of the IETF.
>
> 	Title		: ForCES Protocol Specification
> 	Author(s)	: A. Doria, et al.
> 	Filename	: draft-ietf-forces-protocol-06.txt
> 	Pages		: 113
> 	Date		: 2005-12-13
> 	
> This document specifies the Forwarding and Control Element Separation
>    (ForCES) protocol.  ForCES protocol is used for communications
>    between Control Elements(CEs) and Forwarding Elements (FEs) in a
>    ForCES Network Element (ForCES NE).  This specification is intended
>    to meet the ForCES protocol requirements defined in RFC3654.   
> Besides
>    the ForCES protocol messages, the specification also defines the
>    framework, the mechanisms, and the Transport Mapping Layer (TML)
>    requirements for ForCES protocol.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-forces-protocol-06.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body  
> of the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
>
> Internet-Drafts are also available by anonymous FTP. Login with the  
> username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-forces-protocol-06.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-forces-protocol-06.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> Content-Type: text/plain
> Content-ID: <[email-masked]>
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce

---

From: "Wang,Weiming" <[email-masked]>
Date: Thu, 15 Dec 2005 17:45:49 +0800

Hi Avri,

Thanks very much for the important work.

To better reflect the editing work of the draft in the issue trackers, may I
suggest short comments be made to the issues and even a closure be made to some
of them after your editing work?

Thanks again.
Weiming

----- Original Message -----
From: "Avri Doria" <[email-masked]>

---

From: Avri Doria <[email-masked]>
Date: Thu, 15 Dec 2005 12:19:02 -0500

> of them after your editing work?

yes, there are some comments in the doc.   I can go through the  
tracker and add some more comments, but i am not sure they would be  
more complete then the ones i put in the doc itself.  also i think  
the people who put in the items, and the chairs, should decide  
whether issues are closed or not - sort of a check and balance - who  
am i to decide that i closed something adequately as i might have a  
conflict of interest in making such a determination (i.e. the desire  
to be finished with an issue).

Note by using ietf wg tools, one can go to:

http://tools.ietf.org/wg/forces/draft-ietf-forces-protocol/draft-ietf- 
forces-protocol-06-from-05.diff.html

and see a side by side comparison of -05 and -06 to check out the  
changes.

a.